Bug 188494 - Firstboot does not check for existing RHN registration before prompting
Firstboot does not check for existing RHN registration before prompting
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pradeep Kilambi
Ken Reilly
Depends On:
  Show dependency treegraph
Reported: 2006-04-10 12:59 EDT by Jonathan Reed
Modified: 2012-06-20 12:03 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-20 12:03:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jonathan Reed 2006-04-10 12:59:21 EDT
Description of problem:

Firstboot prompts the user to register for RHN even if the system is already

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install a system, reboot it, come back later (as one might do when installing
a bunch of systems at once).
2. Firstboot will have timed out.
3. Use the machine and register it for RHN.
4. Reboot at some point.
5. Firstboot runs again, and this time prompts you to register for RHN, even
though the system has been registered.  As we have our own Satellite server, we
do not use RHN logins, and must choose the "I cannot register, remind me later"
option, which unnecessarily sets the reminder.
Actual results:

A reminder is set for the user to register for RHN, despite the system being

Expected results:

Firstboot manages to remember other options (such as the Xorg resolution and bit
depth settings) and merely asks you to confirm them.  It should check to see
whether or not RHN has been set up on the machine before prompting the user to
register again.

Ideally, there would also be a 4th RHN option which says "My company or
organization operates its own RHN server, I do not need to register right now",
so that enterprises which have paid large amounts of money for the Red Hat
Satellite Server or Proxy Server do not have to expose their users to nag
requests to register for RHN.  While we can (and do) simply delete the
rhn_register_remind file, we shouldn't have to.

Additional info:
Comment 1 wes hayutin 2007-03-23 14:44:33 EDT
In addition to the above problem.. 
In first boot.. if a user clicks the back and next button.. it will actually
register the system each time..
Comment 3 Jiri Pallich 2012-06-20 12:03:51 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.